import { z } from 'zod';

/**
 * Schema Zod para validar um vendedor.
 */
export const sellerSchema = z.object({
  id: z.number(),
  name: z.string(),
});

/**
 * Type para vendedor inferido do schema.
 */
export type Seller = z.infer<typeof sellerSchema>;
